#include <QtQml/qqmlprivate.h>
#include <QtCore/qdir.h>
#include <QtCore/qurl.h>

static const unsigned char qt_resource_tree[] = {
0,
0,0,0,0,2,0,0,0,13,0,0,0,1,0,0,0,
76,0,0,0,0,0,1,0,0,0,0,0,0,0,106,0,
0,0,0,0,1,0,0,0,0,0,0,0,250,0,0,0,
0,0,1,0,0,0,0,0,0,0,134,0,0,0,0,0,
1,0,0,0,0,0,0,1,68,0,0,0,0,0,1,0,
0,0,0,0,0,0,232,0,0,0,0,0,1,0,0,0,
0,0,0,1,24,0,0,0,0,0,1,0,0,0,0,0,
0,1,118,0,0,0,0,0,1,0,0,0,0,0,0,0,
202,0,0,0,0,0,1,0,0,0,0,0,0,0,8,0,
0,0,0,0,1,0,0,0,0,0,0,0,40,0,0,0,
0,0,1,0,0,0,0,0,0,0,172,0,0,0,0,0,
1,0,0,0,0,0,0,1,46,0,0,0,0,0,1,0,
0,0,0};
static const unsigned char qt_resource_names[] = {
0,
1,0,0,0,47,0,47,0,13,11,235,230,60,0,73,0,
109,0,97,0,103,0,101,0,67,0,117,0,98,0,101,0,
46,0,113,0,109,0,108,0,15,13,19,163,124,0,99,0,
97,0,108,0,99,0,117,0,108,0,97,0,116,0,105,0,
110,0,103,0,46,0,113,0,109,0,108,0,12,2,197,16,
124,0,109,0,111,0,100,0,101,0,108,0,105,0,110,0,
103,0,46,0,113,0,109,0,108,0,11,3,71,197,188,0,
114,0,101,0,115,0,117,0,108,0,116,0,115,0,46,0,
113,0,109,0,108,0,16,5,23,26,220,0,80,0,97,0,
103,0,101,0,49,0,70,0,111,0,114,0,109,0,46,0,
117,0,105,0,46,0,113,0,109,0,108,0,12,15,100,39,
156,0,72,0,111,0,109,0,101,0,70,0,111,0,114,0,
109,0,46,0,113,0,109,0,108,0,12,11,223,34,60,0,
115,0,101,0,116,0,116,0,105,0,110,0,103,0,115,0,
46,0,113,0,109,0,108,0,6,6,169,165,19,0,99,0,
115,0,103,0,46,0,106,0,115,0,12,4,190,190,115,0,
105,0,109,0,97,0,103,0,101,0,99,0,117,0,98,0,
101,0,46,0,106,0,115,0,8,8,1,90,92,0,109,0,
97,0,105,0,110,0,46,0,113,0,109,0,108,0,8,15,
139,138,83,0,116,0,104,0,114,0,101,0,101,0,46,0,
106,0,115,0,22,6,90,28,92,0,67,0,111,0,110,0,
116,0,114,0,111,0,108,0,69,0,118,0,101,0,110,0,
116,0,83,0,111,0,117,0,114,0,99,0,101,0,46,0,
113,0,109,0,108,0,11,9,50,148,115,0,84,0,104,0,
114,0,101,0,101,0,67,0,83,0,71,0,46,0,106,0,
115};
static const unsigned char qt_resource_empty_payout[] = { 0, 0, 0, 0, 0 };
QT_BEGIN_NAMESPACE
extern Q_CORE_EXPORT bool qRegisterResourceData(int, const unsigned char *, const unsigned char *, const unsigned char *);
QT_END_NAMESPACE
namespace QmlCacheGeneratedCode {
namespace _0x5f__ThreeCSG_js { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__ControlEventSource_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__three_js { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__main_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__imagecube_js { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__csg_js { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__settings_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__HomeForm_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__Page1Form_ui_0x2e_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__results_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__modeling_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__calculating_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__ImageCube_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}

}
namespace {
struct Registry {
    Registry();
    QHash<QString, const QQmlPrivate::CachedQmlUnit*> resourcePathToCachedUnit;
    static const QQmlPrivate::CachedQmlUnit *lookupCachedUnit(const QUrl &url);
};

Q_GLOBAL_STATIC(Registry, unitRegistry)


Registry::Registry() {
        resourcePathToCachedUnit.insert(QStringLiteral("/ThreeCSG.js"), &QmlCacheGeneratedCode::_0x5f__ThreeCSG_js::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/ControlEventSource.qml"), &QmlCacheGeneratedCode::_0x5f__ControlEventSource_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/three.js"), &QmlCacheGeneratedCode::_0x5f__three_js::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/main.qml"), &QmlCacheGeneratedCode::_0x5f__main_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/imagecube.js"), &QmlCacheGeneratedCode::_0x5f__imagecube_js::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/csg.js"), &QmlCacheGeneratedCode::_0x5f__csg_js::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/settings.qml"), &QmlCacheGeneratedCode::_0x5f__settings_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/HomeForm.qml"), &QmlCacheGeneratedCode::_0x5f__HomeForm_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/Page1Form.ui.qml"), &QmlCacheGeneratedCode::_0x5f__Page1Form_ui_0x2e_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/results.qml"), &QmlCacheGeneratedCode::_0x5f__results_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/modeling.qml"), &QmlCacheGeneratedCode::_0x5f__modeling_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/calculating.qml"), &QmlCacheGeneratedCode::_0x5f__calculating_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/ImageCube.qml"), &QmlCacheGeneratedCode::_0x5f__ImageCube_qml::unit);
    QQmlPrivate::RegisterQmlUnitCacheHook registration;
    registration.version = 0;
    registration.lookupCachedQmlUnit = &lookupCachedUnit;
    QQmlPrivate::qmlregister(QQmlPrivate::QmlUnitCacheHookRegistration, &registration);
QT_PREPEND_NAMESPACE(qRegisterResourceData)(/*version*/0x01, qt_resource_tree, qt_resource_names, qt_resource_empty_payout);
}
const QQmlPrivate::CachedQmlUnit *Registry::lookupCachedUnit(const QUrl &url) {
    if (url.scheme() != QLatin1String("qrc"))
        return nullptr;
    QString resourcePath = QDir::cleanPath(url.path());
    if (resourcePath.isEmpty())
        return nullptr;
    if (!resourcePath.startsWith(QLatin1Char('/')))
        resourcePath.prepend(QLatin1Char('/'));
    return unitRegistry()->resourcePathToCachedUnit.value(resourcePath, nullptr);
}
}
int QT_MANGLE_NAMESPACE(qInitResources_qml)() {
    ::unitRegistry();
    Q_INIT_RESOURCE(qml_qmlcache);
    return 1;
}
Q_CONSTRUCTOR_FUNCTION(QT_MANGLE_NAMESPACE(qInitResources_qml))
int QT_MANGLE_NAMESPACE(qCleanupResources_qml)() {
    Q_CLEANUP_RESOURCE(qml_qmlcache);
    return 1;
}
